
<style type="text/css">

/*Credits: Dynamic Drive CSS Library */
/*URL: http://www.dynamicdrive.com/style/ */

.mattblacktabs{
width: 100%;
overflow: hidden;

}

.mattblacktabs ul{
margin: 0;
padding: 0;
width:70%;
top:25px; 
left:20px;
padding-center: 10px; /*offset of tabs relative to browser left edge*/
font: bold 12px Verdana;
list-style-type: none;

}

.mattblacktabs li{
display: inline;
margin: 0;
}

.mattblacktabs li a{
float: left;
display: block;
text-decoration: center;
margin: 0;
padding: 7px 12px; /*padding inside each tab*/
border-right: 1px solid #1E1C18; /*right divider between tabs*/
color: white;
background: #414141; /*background of tabs (default state)*/

}

.mattblacktabs li a:visited{
color: white;

}

.mattblacktabs li a:hover, .mattblacktabs li.selected a{
background: #3C3A36; /*background of tabs for hover state, plus tab with "selected" class assigned to its LI */

}

</style>
</head>
<?php
require_once LOCALE.LOCALESET."serv.php";
echo "<title>".$locale['serv001']." | ".$settings['sitename']."</title>\n";
echo"</head>\n";
require_once INCLUDES."navigation.php";
require_once LOCALE.LOCALESET."serv.php";
echo "<center><table cellpadding='0' cellspacing='0' width='500' class='center'>";
echo "<tr>";

if ($_GET['id'] == "info")
	   {
		if($_GET['serv'] !="")
		{
		$id=$_GET['serv'];
		$q = dbquery("SELECT * FROM ".DB_SERVERS." WHERE server_id = ".$id."");
		$serv=dbarray_fetch($q);
		?>
 <div class="mattblacktabs">
<ul>
<li><a href="<?=$settings['siteurl']?>server-<?=$serv['server_id']?>"><?=$locale['serv002']?></a></li>
<li><a href="<?=$settings['siteurl']?>server-<?=$serv['server_id']?>&web"><?=$locale['serv003']?></a></li>
<li><a href="<?=$settings['siteurl']?>server-<?=$serv['server_id']?>&banners"><?=$locale['serv004']?></a></li>
</ul>
</div><br>
<?
		$img = "<img src='images/maps/default.jpg' alt='".$locale['serv005']."' width='160' height='120' class='map'>";
		if (file_exists("images/maps/".$serv['server_map'].".jpg"))
		{$img = "<img src='".BASEDIR."images/maps/".$serv['server_map'].".jpg' alt='".$serv['server_name']."' width='160' height='120' class='map'>";}
		$site= "---";
		if($serv['server_site'] !="")
		{$site="<a href='http://".$serv['server_site']."' target='_blank'>".$serv['server_site']." </a>";}
		$icq= "---";
		if($serv['server_icq'] !="")
		{$icq=$serv['server_icq']." <img src='http://status.icq.com/online.gif?icq=".$serv['server_icq']."&img=26'>";}
		
		
		if(isset($_GET['info']))
		{

$status="<font color='red'><b>ofline";
if($serv['server_status'] ==1) $status="<font color='green'><b>Online";

$img = "<img src='images/maps/default.jpg' alt='Нет изображения' width='160' height='120' class='map'>";
if (file_exists("images/maps/".$serv['server_map'].".jpg"))
{$img = "<img src='".BASEDIR."images/maps/".$serv['server_map'].".jpg' alt='".$serv['server_name']."' width='160' height='120' class='map'>";}


echo "<td width='40%' >".$img."</td>";
echo "<td width='70%' >
".$locale['serv006']." ".$status."</font>
<br><br>
".$locale['serv007']." ".$serv['server_name']."
<br><br>
".$locale['serv008']." ".$serv['server_ip']."
<br><br>
".$locale['serv009']." ".$serv['server_protokol']."
<br><br>
".$locale['serv010']." ".$serv['server_players']." / ".$serv['server_maxplayers']."
<br><br>
".$locale['serv011']." ".$site."
<br><br>
".$locale['serv012']." ".$icq."
<br><br>
".$locale['serv013']."  <img src='images/flags/$serv[server_location].png' height='12' width='16' alt='$serv[server_location]' title='$serv[server_location]''>
</td>";

echo "</tr>";
echo "<tr></table>";
echo"<table border='0'  align='center' cellpadding='0' cellspacing='0' class='stat sortable' id='myleaderboard'>";
echo $locale['030']."<br><input name='conect' id='conect' type='text' value='connect ".$serv['server_ip']."' size='35' maxlength='35' ";?>onclick="document.getElementById('conect').select();"<?
echo "</table>";
		}
		else if(isset($_GET['banners']))
		{

		echo "<br><img src='userbar-".$id.".jpg'>";
		echo "<br><br>".$locale['serv014']."<br>";
		echo"<textarea rows='1' cols='49'>[img]".$settings['siteurl']."userbar-".$id.".jpg[/img]</textarea>";
		echo "<br><br>".$locale['serv015']."<br>";
		echo"<textarea rows='1' cols='49'><img src='".$settings['siteurl']."userbar-".$id.".jpg'></textarea>";
		
		}
		else if(isset($_GET['web']))
		{



echo "<center><iframe src='".$settings['siteurl']."view.php?id=".$id."&bg=3C3A36&text=9a9a9a&link=ffffff&ip=ffffff' frameborder='0' width='170' height='250' scrolling='no' ></iframe><br><br>";
		echo"<br><br><textarea rows='3' cols='50'><iframe src='".$settings['siteurl']."view.php?id=".$id."&bg=3C3A36&text=9a9a9a&link=ffffff&ip=ffffff' frameborder='0' width='170' height='250' scrolling='no'></iframe></textarea></center>";
		}
		else
		{header("Location: /"); exit; }
echo "</tr>";
echo"</tbody></center>";
		}
		
	}	
else
{header("Location: /"); exit; }
?>